package hu.oroscom.c1801.component.cell;

import com.vaadin.addon.tableexport.ExportableColumnGenerator;
import com.vaadin.data.Property;
import com.vaadin.ui.Label;
import com.vaadin.ui.Table;

/**
 * Created by Norbert on 2014.12.10..
 */
public class BooleanCell extends AbstractCell implements ExportableColumnGenerator {
	private Table source;

	@Override
	public Object generateCell(Table source, Object itemId, Object columnId) {
		this.source = source;
		boolean b = (boolean) source.getItem(itemId).getItemProperty(columnId).getValue();
		return new Label(b ? i18n.get("BooleanCell.true") : i18n.get("BooleanCell.false"));
	}

	@Override
	public Property getGeneratedProperty(Object itemId, Object columnId) {
		boolean b = (boolean) source.getItem(itemId).getItemProperty(columnId).getValue();
		return new Label(b ? i18n.get("BooleanCell.true") : i18n.get("BooleanCell.false"));
	}

	@Override
	public Class<?> getType() {
		return String.class;
	}
}
