package hu.oroscom.c1801.component.cell;

import com.vaadin.server.VaadinSession;
import com.vaadin.ui.Label;
import com.vaadin.ui.Table;
import org.joda.time.DateTime;
import org.joda.time.format.DateTimeFormat;
import org.joda.time.format.DateTimeFormatter;

/**
 * Created by kollerk on 14. 12. 03..
 */
public class DateTimeItemIdFormatCell extends AbstractCell {
	private static DateTimeFormatter dateTimeFormatter = DateTimeFormat.shortDateTime().withLocale(VaadinSession.getCurrent().getLocale());

	@Override
	public Object generateCell(Table source, Object itemId, Object columnId) {
		if (!dateTimeFormatter.getLocale().equals(VaadinSession.getCurrent().getLocale())) {
			dateTimeFormatter = DateTimeFormat.shortDateTime().withLocale(VaadinSession.getCurrent().getLocale());
		}
		return new Label(dateTimeFormatter.print((DateTime) itemId));
	}
}
