package hu.oroscom.c1801.component.cell;

import com.vaadin.ui.Button;
import com.vaadin.ui.Table;
import com.vaadin.ui.themes.ValoTheme;

/**
 * Created by kollerk on 14. 11. 25..
 */
public class EditLinkCell extends EditCell {

	private String caption;

	public EditLinkCell(String caption, Button.ClickListener clickListener) {
		super(clickListener);
		this.caption = caption;
	}

	@Override
	public Object generateCell(Table source, Object itemId, Object columnId) {
		if (isEnabled(source, itemId, "isEditCalendarCellEnabled")) {
			Button buttonEdit = new Button(caption);
			buttonEdit.setData(itemId);
			buttonEdit.addClickListener(clickListener);
			buttonEdit.addStyleName(ValoTheme.BUTTON_LINK);
			return buttonEdit;
		} else {
			return null;
		}
	}
}
