package hu.oroscom.c1801.component.cell;

import com.vaadin.data.Property;
import com.vaadin.ui.OptionGroup;
import com.vaadin.ui.Table;

/**
 * Created by kollerk on 14. 11. 28..
 */
public class RadioDateTimeItemIdCell extends AbstractCell {
	private Property.ValueChangeListener valueChangeListener;

	public RadioDateTimeItemIdCell(Property.ValueChangeListener valueChangeListener) {
		this.valueChangeListener = valueChangeListener;
	}

	@Override
	public Object generateCell(Table source, Object itemId, Object columnId) {
		OptionGroup optionGroup = new OptionGroup();
		optionGroup.addItem(itemId);
		optionGroup.setItemCaption(itemId, "");
		optionGroup.addValueChangeListener(valueChangeListener);
		if ((Boolean)(source.getItem(itemId).getItemProperty("checked").getValue())) {
			optionGroup.select(itemId);
		}
		return optionGroup;
	}
}
