package hu.oroscom.c1801.component.combobox;

import com.vaadin.data.util.BeanItemContainer;
import com.vaadin.ui.ComboBox;
import hu.oroscom.c1801.enumeration.ServiceManagementNature;

/**
 * Created by kollerk on 14. 11. 17..
 */
public class ServiceManagementNatureComboBox extends ComboBox {

	public ServiceManagementNatureComboBox(String caption) {
		super(caption);

		setItemCaptionPropertyId("caption");
		setRequired(true);
		setNullSelectionAllowed(false);

		final BeanItemContainer<ServiceManagementNature> serviceManagementNatureBeanItemContainer = new BeanItemContainer<>(ServiceManagementNature.class);
		for (ServiceManagementNature serviceManagementNature : ServiceManagementNature.values()) {
			serviceManagementNatureBeanItemContainer.addBean(serviceManagementNature);
		}

		setContainerDataSource(serviceManagementNatureBeanItemContainer);

	}


}
