package hu.oroscom.c1801.component.combobox;

import com.vaadin.data.util.BeanItemContainer;
import com.vaadin.ui.ComboBox;
import hu.oroscom.c1801.enumeration.ServiceManagementStatus;

/**
 * Created by kollerk on 14. 11. 17..
 */
public class ServiceManagementStatusComboBox extends ComboBox {

	public ServiceManagementStatusComboBox(String caption) {
		super(caption);

		setItemCaptionPropertyId("caption");
		setRequired(true);
		setNullSelectionAllowed(false);

		final BeanItemContainer<ServiceManagementStatus> serviceManagementStatusBeanItemContainer = new BeanItemContainer<>(ServiceManagementStatus.class);
		for (ServiceManagementStatus serviceManagementStatus : ServiceManagementStatus.values()) {
			serviceManagementStatusBeanItemContainer.addBean(serviceManagementStatus);
		}

		setContainerDataSource(serviceManagementStatusBeanItemContainer);

	}


}
