package hu.oroscom.c1801.domain;

import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;
import java.util.Set;

/**
 * Created by Norbert on 2015.09.22..
 */
@Entity
public class GridSetting extends BaseEntity {
	@NotNull
	@Size(max = 255)
	private String gridName;

	private Set<Object> collapsedColumns;

	private List<Object> visibleColumns;

	private String sortColumn;

	private boolean sortAscending;

	@NotNull
	@ManyToOne
	private User user;

	public String getGridName() {
		return gridName;
	}

	public void setGridName(String gridName) {
		this.gridName = gridName;
	}

	public Set<Object> getCollapsedColumns() {
		return collapsedColumns;
	}

	public void setCollapsedColumns(Set<Object> collapsedColumns) {
		this.collapsedColumns = collapsedColumns;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public List<Object> getVisibleColumns() {
		return visibleColumns;
	}

	public void setVisibleColumns(List<Object> visibleColumns) {
		this.visibleColumns = visibleColumns;
	}

	public Object getSortColumn() {
		return sortColumn;
	}

	public void setSortColumn(String sortColumn) {
		this.sortColumn = sortColumn;
	}

	public boolean isSortAscending() {
		return sortAscending;
	}

	public void setSortAscending(boolean sortAscending) {
		this.sortAscending = sortAscending;
	}
}
