package hu.oroscom.c1801.domain;

import javax.persistence.Entity;
import javax.persistence.ManyToMany;
import javax.persistence.ManyToOne;
import javax.validation.constraints.Size;
import java.util.Set;

/**
 * Created by Norbert on 2016. 08. 01..
 */
@Entity
public class ServiceGroup extends BaseEntity {

	@Size(max = 255)
	private String name;

	@ManyToMany
	private Set<User> users;

	@ManyToOne
	private Customer customer;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Set<User> getUsers() {
		return users;
	}

	public void setUsers(Set<User> users) {
		this.users = users;
	}

	public Customer getCustomer() {
		return customer;
	}

	public void setCustomer(Customer customer) {
		this.customer = customer;
	}
}
