package hu.oroscom.c1801.domain;

import hu.oroscom.c1801.domain.relationtable.StudyEntryStudyEntryData;

import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.ManyToMany;
import javax.persistence.ManyToOne;
import java.util.List;

@Entity
public class StudyEntryData extends BaseEntity {

	private String dataKey;

	private String name;

	@Lob
	private String description;

	@ManyToMany
	private List<StudyEntry> studyEntries;

	@ManyToOne
	private Customer customer;

	@ManyToOne
	private StudyEntryBaseData studyEntryBaseData;

	@ManyToOne
	private StudyEntryStudyEntryData studyEntryStudyEntryData;

	public String getDataKey() {
		return dataKey;
	}

	public void setDataKey(String dataKey) {
		this.dataKey = dataKey;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public List<StudyEntry> getStudyEntries() {
		return studyEntries;
	}

	public void setStudyEntries(List<StudyEntry> studyEntries) {
		this.studyEntries = studyEntries;
	}

	public Customer getCustomer() {
		return customer;
	}

	public void setCustomer(Customer customer) {
		this.customer = customer;
	}

	public StudyEntryBaseData getStudyEntryBaseData() {
		return studyEntryBaseData;
	}

	public void setStudyEntryBaseData(StudyEntryBaseData studyEntryBaseData) {
		this.studyEntryBaseData = studyEntryBaseData;
	}

	public StudyEntryStudyEntryData getStudyEntryStudyEntryData() {
		return studyEntryStudyEntryData;
	}

	public void setStudyEntryStudyEntryData(StudyEntryStudyEntryData studyEntryStudyEntryData) {
		this.studyEntryStudyEntryData = studyEntryStudyEntryData;
	}
}
