package hu.oroscom.c1801.domain;

import hu.oroscom.c1801.enumeration.UserCommentType;

import javax.persistence.*;
import java.util.List;

/**
 * Created by Norbert on 2016. 08. 01..
 */
@Entity
public class UserComment extends BaseEntity {

	@Lob
	private String question;

	@Lob
	private String answer;

	@ManyToOne
	private Doctor doctor;

	@ManyToMany
	private List<Patient> patients;

	@Enumerated
	private UserCommentType userCommentType;

	@ManyToOne
	private Customer customer;

	private Boolean viewed = false;

	public String getQuestion() {
		return question;
	}

	public void setQuestion(String question) {
		this.question = question;
	}

	public String getAnswer() {
		return answer;
	}

	public void setAnswer(String answer) {
		this.answer = answer;
	}

	public Doctor getDoctor() {
		return doctor;
	}

	public void setDoctor(Doctor doctor) {
		this.doctor = doctor;
	}

	public List<Patient> getPatients() {
		return patients;
	}

	public void setPatients(List<Patient> patients) {
		this.patients = patients;
	}

	public UserCommentType getUserCommentType() {
		return userCommentType;
	}

	public void setUserCommentType(UserCommentType userCommentType) {
		this.userCommentType = userCommentType;
	}

	public Customer getCustomer() {
		return customer;
	}

	public void setCustomer(Customer customer) {
		this.customer = customer;
	}

	public Boolean getViewed() {
		return viewed;
	}

	public void setViewed(Boolean viewed) {
		this.viewed = viewed;
	}
}
