package hu.oroscom.c1801.domain.relationtable;

import hu.oroscom.c1801.domain.StudyEntry;
import hu.oroscom.c1801.domain.StudyEntryData;
import hu.oroscom.c1801.domain.idclass.StudyEntryStudyEntryDataId;

import javax.persistence.*;

@Entity
@Table(name = "SE_SEDATA")
@IdClass(StudyEntryStudyEntryDataId.class)
public class StudyEntryStudyEntryData {
	@ManyToOne
	@PrimaryKeyJoinColumn(name = "STUDYENTRYID", referencedColumnName = "ID")
	private StudyEntry studyEntry;

	@ManyToOne
	@PrimaryKeyJoinColumn(name = "STUDYENTRYDATAID", referencedColumnName = "ID")
	private StudyEntryData studyEntryData;

	@Id
	private Long studyEntryId;

	@Id
	private Long studyEntryDataId;

	@Lob
	private String dataValue;

	public StudyEntry getStudyEntry() {
		return studyEntry;
	}

	public void setStudyEntry(StudyEntry studyEntry) {
		this.studyEntry = studyEntry;
		this.setStudyEntryId(studyEntry.getId());
	}

	public StudyEntryData getStudyEntryData() {
		return studyEntryData;
	}

	public void setStudyEntryData(StudyEntryData studyEntryData) {
		this.studyEntryData = studyEntryData;
		this.setStudyEntryDataId(studyEntryData.getId());
	}

	public Long getStudyEntryId() {
		return studyEntryId;
	}

	public void setStudyEntryId(Long studyEntryId) {
		this.studyEntryId = studyEntryId;
	}

	public Long getStudyEntryDataId() {
		return studyEntryDataId;
	}

	public void setStudyEntryDataId(Long studyEntryDataId) {
		this.studyEntryDataId = studyEntryDataId;
	}

	public String getDataValue() {
		return dataValue;
	}

	public void setDataValue(String dataValue) {
		this.dataValue = dataValue;
	}
}
