package hu.oroscom.c1801.jparepository;

import hu.oroscom.c1801.domain.Complaint;
import hu.oroscom.c1801.domain.Patient;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface ComplaintRepository extends GenericRepository<Complaint, Long> {
	@Query("SELECT c FROM Complaint c WHERE c.patient = ?1")
	List<Complaint> findAllByPatient(Patient patient);
}
