package hu.oroscom.c1801.jparepository;

import hu.oroscom.c1801.domain.IntolerantMaterial;
import hu.oroscom.c1801.domain.Patient;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface IntolerantMaterialRepository extends GenericRepository<IntolerantMaterial, Long> {
	@Query("SELECT im FROM IntolerantMaterial im WHERE im.patient = ?1")
	List<IntolerantMaterial> findAllByPatient(Patient patient);
}
