package hu.oroscom.c1801.jparepository;

import hu.oroscom.c1801.domain.Customer;
import hu.oroscom.c1801.domain.ServiceGroup;
import hu.oroscom.c1801.enumeration.EntityStatus;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface ServiceGroupRepository extends GenericRepository<ServiceGroup, Long> {
	@Query("SELECT sg FROM ServiceGroup sg WHERE sg.customer = ?1 AND sg.status = ?2")
	List<ServiceGroup> findAllByCustomer(Customer customer, EntityStatus entityStatus);
}
