package hu.oroscom.c1801.sorter;

import com.vaadin.data.util.DefaultItemSorter;
import com.vaadin.ui.UI;

import java.io.Serializable;
import java.text.Collator;
import java.util.Comparator;

/**
 * Created by kollerk on 14. 11. 14..
 */
public class CollatorItemSorter extends DefaultItemSorter {
	public CollatorItemSorter() {
		super(new CollatorComparator());
	}

	public static class CollatorComparator implements Comparator<Object>, Serializable {

		@Override
		public int compare(Object o1, Object o2) {
			Collator collator = Collator.getInstance(UI.getCurrent().getLocale());
			collator.setStrength(Collator.PRIMARY);
			return collator.compare(o1, o2);
		}
	}
}
