package hu.oroscom.c1801;

import org.springframework.boot.autoconfigure.web.ErrorController;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by Norbert on 2015.08.03..
 */
@RestController
public class IndexController implements ErrorController {

	private static final String PATH = "/error";

	@RequestMapping(value = PATH)
	public String error() {
		return "<meta http-equiv=\"refresh\" content=\"0;URL='/app'\" />";
	}

	@Override
	public String getErrorPath() {
		return PATH;
	}
}
