package hu.oroscom.c1801.component.combobox;

import com.vaadin.data.util.BeanItemContainer;
import com.vaadin.ui.ComboBox;
import hu.oroscom.c1801.enumeration.StudyEntryType;

/**
 * Created by kollerk on 14. 11. 17..
 */
public class StudyEntryTypeComboBox extends ComboBox {

	public StudyEntryTypeComboBox(String caption) {
		super(caption);

		setItemCaptionPropertyId("caption");
		setRequired(true);
		setNullSelectionAllowed(false);

		final BeanItemContainer<StudyEntryType> studyEntryTypeBeanItemContainer = new BeanItemContainer<>(StudyEntryType.class);
		for (StudyEntryType studyEntryType : StudyEntryType.values()) {
			studyEntryTypeBeanItemContainer.addBean(studyEntryType);
		}

		setContainerDataSource(studyEntryTypeBeanItemContainer);

	}


}
