package hu.oroscom.c1801.component.table;

import com.vaadin.data.Container;
import com.vaadin.data.util.HierarchicalContainer;
import com.vaadin.ui.TreeTable;
import com.vaadin.ui.themes.ValoTheme;

/**
 * Created by Norbert on 2014.11.12..
 */
public class BaseTreeTable extends TreeTable {

	public BaseTreeTable() {
		this(null, new HierarchicalContainer());
	}

	public BaseTreeTable(String caption) {
		this();
		setCaption(caption);
	}

	public BaseTreeTable(String caption, Container dataSource) {
		super(caption, dataSource);

		addStyleName(ValoTheme.TABLE_SMALL);
//		setStyleName("treetable-no-collapse-triangle");
//		addStyleName(ValoTheme.TABLE_BORDERLESS);
//		setColumnHeaderMode(ColumnHeaderMode.HIDDEN);
		setSizeFull();
//		setCellStyleGenerator(new CellStyleGenerator() {
//			@Override
//			public String getStyle(Table source, Object itemId, Object propertyId) {
//				return "noPaddingLeft";
//			}
//		});
	}
}
