package hu.oroscom.c1801.domain;

import javax.persistence.Embeddable;
import javax.persistence.Transient;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * Created by Norbert on 2014.11.20..
 */
@Embeddable
public class Contact implements Serializable {

	@Size(max = 255)
	private String phone1;

	@Size(max = 255)
	private String phone2;

	@Size(max = 255)
	private String phone3;

	@Size(max = 255)
	private String email1;

	@Transient
	private String displayPhone;

	public Contact() {
	}

	public Contact(String phone1, String phone2, String phone3, String email1) {
		this.phone1 = phone1;
		this.phone2 = phone2;
		this.phone3 = phone3;
		this.email1 = email1;
	}

	public String getPhone1() {
		return phone1;
	}

	public void setPhone1(String phone1) {
		this.phone1 = phone1;
	}

	public String getPhone2() {
		return phone2;
	}

	public void setPhone2(String phone2) {
		this.phone2 = phone2;
	}

	public String getPhone3() {
		return phone3;
	}

	public void setPhone3(String phone3) {
		this.phone3 = phone3;
	}

	public String getEmail1() {
		return email1;
	}

	public void setEmail1(String email1) {
		this.email1 = email1;
	}

	public void setDisplayPhone(String displayPhone) {
		this.displayPhone = displayPhone;
	}

	public String getDisplayPhone() {
		return displayPhone;
	}
}
