package hu.oroscom.c1801.domain;

import javax.persistence.Entity;
import javax.persistence.OneToMany;
import java.util.Set;

@Entity
public class Doctor extends User {
	@OneToMany(mappedBy = "doctor")
	private Set<Patient> patients;

	@OneToMany(mappedBy = "doctor")
	private Set<UserComment> userComments;

	public Set<Patient> getPatients() {
		return patients;
	}

	public void setPatients(Set<Patient> patients) {
		this.patients = patients;
	}

	public Set<UserComment> getUserComments() {
		return userComments;
	}

	public void setUserComments(Set<UserComment> userComments) {
		this.userComments = userComments;
	}
}
