package hu.oroscom.c1801.domain;

import hu.oroscom.c1801.enumeration.StudyEntryType;

import javax.persistence.Entity;
import javax.persistence.Enumerated;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import java.util.Set;

@Entity
public class StudyEntryBaseData extends BaseEntity {

	@Enumerated
	private StudyEntryType studyEntryType;

	@OneToMany
	private Set<StudyEntryData> studyEntryData;

	@ManyToOne
	private Customer customer;

	public StudyEntryType getStudyEntryType() {
		return studyEntryType;
	}

	public void setStudyEntryType(StudyEntryType studyEntryType) {
		this.studyEntryType = studyEntryType;
	}

	public Set<StudyEntryData> getStudyEntryData() {
		return studyEntryData;
	}

	public void setStudyEntryData(Set<StudyEntryData> studyEntryData) {
		this.studyEntryData = studyEntryData;
	}

	public Customer getCustomer() {
		return customer;
	}

	public void setCustomer(Customer customer) {
		this.customer = customer;
	}
}
