package hu.oroscom.c1801.enumeration;

import com.vaadin.server.VaadinSession;
import hu.oroscom.c1801.Application;

/**
 * Created by kollerk on 14. 11. 06..
 */
public enum BulkAction {
	EXPORT,
	STUDY_ENTRY_TYPE,
	DOCTOR,
	SERVICE_GROUP,
	MESSAGE_BROADCAST;

	public String getCaption() {
		try {
			return Application.getApplicationContext().getMessage(this.getClass().getSimpleName() + "." + name(), null, VaadinSession.getCurrent().getLocale());
		} catch (Exception e) {
			return name();
		}
	}

	public int getId() {
		return ordinal();
	}
}