package hu.oroscom.c1801.enumeration;

import com.vaadin.server.VaadinSession;
import hu.oroscom.c1801.Application;

public enum StudyEntryType {
	BOOKING,
	RESIGNATION,
	FOOD_INTOLERANCE_1,
	QUESTIONNAIRE_1,
	CONSULTATION_1,
	ML_TEST,
	MIRRORING_TEST,
	FOOD_INTOLERANCE_2,
	MANITOL_LACTULOSE_1,
	MANITOL_LACTULOSE_2,
	QUESTIONNAIRE_2,
	QUESTIONNAIRE_3,
	CONSULTATION_2;

	public String getCaption() {
		try {
			return Application.getApplicationContext().getMessage(this.getClass().getSimpleName() + "." + name(), null, VaadinSession.getCurrent().getLocale());
		} catch (Exception e) {
			return name();
		}
	}

	public int getId() {
		return ordinal();
	}
}
