package hu.oroscom.c1801.jparepository;

import hu.oroscom.c1801.domain.Customer;
import hu.oroscom.c1801.domain.Doctor;
import org.springframework.data.jpa.repository.Query;

import java.util.Set;

public interface DoctorRepository extends GenericRepository<Doctor, Long> {
	@Query("select d from Doctor d where d.customer = ?1")
	Set<Doctor> findAllByCustomer(Customer customer);
}
