package hu.oroscom.c1801.jparepository;

import hu.oroscom.c1801.domain.EatenFood;
import hu.oroscom.c1801.domain.Patient;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface EatenFoodRepository extends GenericRepository<EatenFood, Long> {
	@Query("SELECT ef FROM EatenFood ef WHERE ef.patient = ?1")
	List<EatenFood> findAllByPatient(Patient patient);
}
