package hu.oroscom.c1801.jparepository;

import hu.oroscom.c1801.domain.Customer;
import hu.oroscom.c1801.domain.ExcelExportLog;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * Created by kollerk on 14. 11. 27..
 */
@SuppressWarnings("JpaQlInspection")
public interface ExcelExportLogRepository extends GenericRepository<ExcelExportLog, Long> {
	@Query("SELECT eel FROM ExcelExportLog eel WHERE eel.customer = ?1")
	List<ExcelExportLog> findAllByCustomer(Customer customer);

}
