package hu.oroscom.c1801.jparepository;

import hu.oroscom.c1801.domain.GridSetting;
import hu.oroscom.c1801.domain.User;
import org.springframework.data.jpa.repository.Query;

/**
 * Created by Norbert on 2015.06.11..
 */
public interface GridSettingRepository extends GenericRepository<GridSetting, Long> {
	@Query("SELECT gs FROM GridSetting gs WHERE gs.gridName = ?1 AND gs.user = ?2")
	GridSetting findGridSettingByGridName(String name, User user);
}
