package hu.oroscom.c1801.jparepository;

import hu.oroscom.c1801.domain.Report;
import hu.oroscom.c1801.enumeration.EntityStatus;
import hu.oroscom.c1801.enumeration.ReportCategory;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * Created by kollerk on 15. 02. 24..
 */
public interface ReportRepository extends GenericRepository<Report, Long> {
	@Query("select r from Report r where r.status = ?2 and r.reportCategory = ?1")
	List<Report> findAllByCategory(ReportCategory reportCategory, EntityStatus entityStatus);
}
