package hu.oroscom.c1801.jparepository;

import hu.oroscom.c1801.domain.ServiceManagement;
import hu.oroscom.c1801.enumeration.StudyEntryType;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface ServiceManagementRepository extends GenericRepository<ServiceManagement, Long> {

	@Query("SELECT sm FROM ServiceManagement sm WHERE sm.studyEntryType = ?1 ORDER BY sm.insertedAt DESC")
	List<ServiceManagement> findAllByStudyEntryType(StudyEntryType studyEntryType);
}
