package hu.oroscom.c1801.jparepository;

import hu.oroscom.c1801.domain.Customer;
import hu.oroscom.c1801.domain.StudyEntryData;
import org.springframework.data.jpa.repository.Query;

import java.util.List;
import java.util.Set;

public interface StudyEntryDataRepository extends GenericRepository<StudyEntryData, Long> {
	@Query("SELECT sed FROM StudyEntryData sed WHERE sed.customer = ?1")
	List<StudyEntryData> findAllByCustomer(Customer customer);

	@Query("select sed from StudyEntryData sed where sed.id in ?1")
	Set<StudyEntryData> findAll(Long... ids);
}
