package hu.oroscom.c1801.servlet;

import com.vaadin.annotations.VaadinServletConfiguration;
import hu.oroscom.c1801.listener.ProjectSessionInitListener;
import hu.oroscom.c1801.ui.MainUI;
import org.springframework.stereotype.Component;
import org.vaadin.spring.servlet.SpringAwareVaadinServlet;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebInitParam;
import javax.servlet.annotation.WebServlet;

@WebServlet(asyncSupported = true, initParams = {@WebInitParam(name = "pushLongPollingSuspendTimeout", value = "55000")})
@VaadinServletConfiguration(productionMode = true, ui = MainUI.class, widgetset = "hu.oroscom.c1801.AppWidgetSet")
@Component
public class ProjectVaadinServlet extends SpringAwareVaadinServlet {

	@Override
	protected void servletInitialized() throws ServletException {
		super.servletInitialized();
		getService().addSessionInitListener(new ProjectSessionInitListener());
	}
}
