package hu.oroscom.c1801.util;

import java.util.Collection;
import java.util.HashSet;

/**
 * Created by Norbert on 2015. 12. 15..
 */
public class ArrayUtil {
	public static <T extends Object> Collection<T> intersect(Collection<T> collection1, Collection<T> collection2) {
		Collection<T> intersection = new HashSet<>();
		Collection<T> collectionToHash;
		Collection<T> collectionToSearch;

		if (collection1.size() < collection2.size()) {
			collectionToHash = collection1;
			collectionToSearch = collection2;
		} else {
			collectionToHash = collection2;
			collectionToSearch = collection1;
		}

		for (T t : collectionToSearch) {
			if (collectionToHash.contains(t)) {
				intersection.add(t);
			}
		}

		return intersection;
	}
}
