package hu.oroscom.c1801.validator;

import com.vaadin.data.Validator;

/**
 * Created by Norbert on 2014.11.10..
 */
public class NumericValidator implements Validator {

	private String errorMessage;

	public NumericValidator(String errorMessage) {
		this.errorMessage = errorMessage;
	}

	@Override
	public void validate(Object value) throws InvalidValueException {
		String text = (String) value;
		if (text == null || !text.matches("\\d*")) {
			throw new InvalidValueException(errorMessage);
		}
	}
}
