package hu.oroscom.c1801.widgetset.client;

import com.google.gwt.core.shared.GWT;
import com.google.gwt.user.client.ui.Widget;
import com.vaadin.client.communication.StateChangeEvent;
import com.vaadin.client.ui.textfield.TextFieldConnector;
import com.vaadin.shared.ui.Connect;
import hu.oroscom.c1801.widgetset.NumberField;

/**
 * Created by Norbert on 2014.11.10..
 */
@Connect(NumberField.class)
public class NumberFieldConnector extends TextFieldConnector {

	private static final long serialVersionUID = 1L;

	@Override
	protected Widget createWidget() {
		return GWT.create(NumberFieldWidget.class);
	}

	@Override
	public NumberFieldWidget getWidget() {
		return (NumberFieldWidget) super.getWidget();
	}

	@Override
	public NumberFieldState getState() {
		return (NumberFieldState) super.getState();
	}

	@Override
	public void onStateChanged(StateChangeEvent stateChangeEvent) {
		super.onStateChanged(stateChangeEvent);
		getWidget().setMin(getState().min);
		getWidget().setMax(getState().max);
		getWidget().setStep(getState().step);
	}
}
